Subject: [CCAMP] FW: New Version Notification for draft-hussain-ccamp-super-channel-label-00.txt

From: Iftekhar Hussain <[email-masked]>
Date: Tue, 26 Jul 2011 19:47:45 +0000

We have submitted this new draft, please provide your comments. 
Thank you.
Iftekhar

https://datatracker.ietf.org/doc/draft-hussain-ccamp-super-channel-label/

A new version of I-D, draft-hussain-ccamp-super-channel-label-00.txt has been successfully submitted by Iftekhar Hussain and posted to the IETF repository.

Filename:	 draft-hussain-ccamp-super-channel-label
Revision:	 00
Title:		 Generalized Label for Super-Channel Assignment on Flexible Grid
Creation date:	 2011-07-25
WG ID:		 Individual Submission
Number of pages: 15

Abstract:
   To enable scaling of existing transport systems to ultra high data
   rates of 1 Tbps and beyond, next generation systems providing super-
   channel switching capability are currently being developed. To allow
   efficient allocation of optical spectral bandwidth for such high bit
   rate systems, International Telecommunication Union
   Telecommunication Standardization Sector (ITU-T) is extending the
   G.694.1 grid standard (termed &quot;Fixed-Grid&quot;) to include flexible grid
   (termed &quot;Flex-Grid&quot;) support. This necessitates definition of new
   label format for the Flex-Grid. This document defines a super-
   channel label as a Super-Channel Identifier and an associated list
   of contiguous or non-contiguous set of 12.5 GHz slices representing
   optical spectrum of the super-channel. The label information can be
   encoded using a fixed length or variable length format. This label
   format can be used in GMPLS signaling and routing protocol to
   establish super-channel based optical label switched paths (LSPs).

The IETF Secretariat

---

From: [email-masked]
Date: Wed, 27 Jul 2011 10:44:13 +0800

Hi hussain:

I want to remind you that there is another flexible gird label draft 
"http://tools.ietf.org/html/draft-li-ccamp-flexible-grid-label-00" we have 
submitted several days ago, and we have request a time slot in Thursday 
afternoon in quebec.

Few comments：

I think once the extended wavelength label can be used to represent 
flexible label, there is no need to define the super channel label (same 
as the wavelength band label (RFC3471) )to illustrate non-continuous 
spectral slice. The only thing we should do is to put the extended label 
to the wavelength band label value field. So as in our draft, extending 
the wavelength label (RFC6205) is enough.

In your draft, you have also defined the label to be compatible with the 
fixed CWDM an DWDM situation, it seems a little bit weird to put them in 
wavelength band label. And the bitmap encoding scheme of your draft is 
similar to the label set in our draft(see section 4.1 of our draft).

The most important thing I think is the label for flexible grid should 
keep good alignment with ITU-T recommendation (G.694.1 and G.697), As for 
the frequency slot/slice, when the slot/slice width granularity is 12.5 
GHz, the nominal central frequency granularity is half of 12.5 GHz, So 
this can make sure that there is not any spectral gaps between adjacent 
channel. But in your draft, you have give a different slot representation 
compared to ITU-T definition. The nominal frequency has become the start 
frequency/left edge of a slice/slot, not the center frequency of a slice. 
This may have some backward compatibility issues to traditional usage. 

Iftekhar Hussain <[email-masked]> 
发件人:  [email-masked]
2011-07-27 上午 03:47

收件人
"[email-masked]" <[email-masked]>
抄送

主题
[CCAMP] FW: New Version Notification for 
draft-hussain-ccamp-super-channel-label-00.txt

A new version of I-D, draft-hussain-ccamp-super-channel-label-00.txt has 
been successfully submitted by Iftekhar Hussain and posted to the IETF 
repository.

Filename:                 draft-hussain-ccamp-super-channel-label
Revision:                 00
Title:                            Generalized Label for Super-Channel 
Assignment on Flexible Grid
Creation date:            2011-07-25
WG ID:                            Individual Submission
Number of pages: 15

Abstract:
   G.694.1 grid standard (termed &quot;Fixed-Grid&quot;) to include 
flexible grid
   (termed &quot;Flex-Grid&quot;) support. This necessitates definition of 
new

The IETF Secretariat
_______________________________________________
CCAMP mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/ccamp

---

From: Iftekhar Hussain <[email-masked]>
Date: Wed, 27 Jul 2011 19:27:55 +0000

Hi Li,

Thank you very much for your comments and pointer to your draft. BTW, we also had the draft many days ago and but missed the submission cut-off date.

If you look carefully there are significant differences between the two drafts. Our draft is also expected to be fully compliant with ITU flexible grid standard.  If you wish we can discuss further details off-line.

Regards,
Iftekhar

From: [email-masked] [mailto:[email-masked]]
Sent: Tuesday, July 26, 2011 7:44 PM
To: Iftekhar Hussain
Cc: [email-masked]; [email-masked]
Subject: 答复: [CCAMP] FW: New Version Notification for draft-hussain-ccamp-super-channel-label-00.txt

Hi hussain:

I want to remind you that there is another flexible gird label draft "http://tools.ietf.org/html/draft-li-ccamp-flexible-grid-label-00" we have submitted several days ago, and we have request a time slot in Thursday afternoon in quebec.

Few comments：

I think once the extended wavelength label can be used to represent flexible label, there is no need to define the super channel label (same as the wavelength band label (RFC3471) )to illustrate non-continuous spectral slice. The only thing we should do is to put the extended label to the wavelength band label value field. So as in our draft, extending the wavelength label (RFC6205) is enough.

In your draft, you have also defined the label to be compatible with the fixed CWDM an DWDM situation, it seems a little bit weird to put them in wavelength band label. And the bitmap encoding scheme of your draft is similar to the label set in our draft(see section 4.1 of our draft).

The most important thing I think is the label for flexible grid should keep good alignment with ITU-T recommendation (G.694.1 and G.697), As for the frequency slot/slice, when the slot/slice width granularity is 12.5 GHz, the nominal central frequency granularity is half of 12.5 GHz, So this can make sure that there is not any spectral gaps between adjacent channel. But in your draft, you have give a different slot representation compared to ITU-T definition. The nominal frequency has become the start frequency/left edge of a slice/slot, not the center frequency of a slice. This may have some backward compatibility issues to traditional usage.

Iftekhar Hussain <[email-masked]<mailto:[email-masked]>>
发件人:  [email-masked]<mailto:[email-masked]>

2011-07-27 上午 03:47

收件人

"[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>

抄送

主题

[CCAMP] FW: New Version Notification for draft-hussain-ccamp-super-channel-label-00.txt

Abstract:

The IETF Secretariat
_______________________________________________
CCAMP mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/ccamp